%	bin_lims		MATLAB function
%
%	bin_tshl reads the binary  data from the selected files
%	skips samples according to vector skip to align data
%	properly and returns a data array of size (channels
% 	x nsamp) to plot.
%
%	USAGE: function [data]= bin_lims(head,skip,nsec,k);
%
function [data]= bin_lims(head,skip,nsec,k);
global fid_bin naxes sc_factor

ndata = floor(nsec/head(k).dt);
data  = zeros(head(k).nch,ndata);
   
   % position file: skip header and data
   head_recs = 129 + 8*head(k).nch;
   % data to skip
   data_recs = 2*head(k).nch*floor(skip(k)/head(k).dt);
   % calculate number of long data records to skip
   mint = 10 - mod(head(k).start_min,10);
   if skip(k) == 0
        long_recs = 0; 
   elseif skip(k) > 0 & skip(k)/60 < mint
        long_recs = 1;
   else
        long_recs = floor(((skip(k)-1)/60-mint)/10) + 2;
   end
   long_recs = 2*6*long_recs;
   % finally: position
   seek_status = fseek(fid_bin(k),head_recs + data_recs + long_recs,-1);
   if (seek_status == -1)
       set(findobj('Tag','Messages'),'String',...
           'Position in data file cannot be set as outlined - EOF?');
       return
   end
   % find starting minute, second
   % NOTE: first 21 data are "before start time" 
   % -> read this shift in dummy!
   [times] = find_time_string(head,skip,0);
   mm = str2num(times(10:11));  
   ss = str2num(times(13:14));
   for irec = 1:ndata+20
         if (irec < 21) 
             dummy = fread(fid_bin(k),head(k).nch,'int16'); 
         else
             data(1:head(k).nch,irec-20) = fread(fid_bin(k),head(k).nch,'int16'); 
         end
         if (skip(k) == 0 & irec == 1) | (ss == 0 & mod(mm,10) == 0)
            dummy = fread(fid_bin(k),6,'int16');
         end
         ss = ss + head(k).dt;
         if ss == 60
             mm=mm+1;   ss = 0;
         end
   end
         
return
