% enables / terminates bad data mode and writes bad segments to bad file

function ts_bad(head)

global nstat lbad nwin lstat badwin site t0skip

if islogical(lbad)
    lbad = ~lbad;
else
    lbad = true;
end
if lbad
    set(findobj('Tag','ButtonBadNext'),'Visible','on'); 
    set(findobj('Tag','ButtonBadPrev'),'Visible','on');
    % below meaning: first bad data window, start
    nwin = 0; lstat = 0;
    set(findobj('Tag','Messages'),...
        'String','BAD-DATA MODE ON','ForegroundColor',[1 0 0]);
    % find t0skip
    % zero time GUI
	prompt = {'Enter zero time used for processing: month day hour'};
    title  = 'Zero Time for Processing';
    def    = {'07 01 00'};
    t0=str2num(char(inputdlg(prompt,title,1,def)));
    % julian day of zero time
    numdays = [0 31 28 31 30 31 30 31 31 30 31 30 31]; % shifted
    t0julsec = ((sum(numdays(1:t0(1))) + t0(2))*24+t0(3))*60*60;
    % julain day of start times
    for istat=1:nstat
        tmon  = head(istat).start_mon;   tday = head(istat).start_day;
        thour = head(istat).start_hr;    tmin = head(istat).start_min;
        tsec  = head(istat).start_sec;
        tjulsec = (((sum(numdays(1:tmon))+tday)*24+thour)*60+tmin)*60+tsec;
        % finally t0skip
        t0skip(istat)=(tjulsec-t0julsec)/head(istat).dt;
        if t0skip(istat)<0 
            set(findobj('Tag','Messages'),...
            'String',['t0skip < 0 --- press BAD DATA button two times',...
            ' and enter earlier zero time'],'ForegroundColor',[1 0 0]);
            lbad=false;
            set(findobj('Tag','ButtonBadNext'),'Visible','off'); 
            set(findobj('Tag','ButtonBadPrev'),'Visible','off');
        end
    end
elseif ~lbad
    if lstat==2
        set(findobj('Tag','ButtonBadNext'),'Visible','off'); 
        set(findobj('Tag','ButtonBadPrev'),'Visible','off');
        % write bad data files
        if nwin>0
            for istat=1:nstat
                fid=fopen([char(site{istat}),'.bad'],'w');
                fprintf(fid,'%3d \n',nwin);
                for iwin=1:nwin
                    fprintf(fid,'%10d %10d %10d\n',...
                        badwin(istat,iwin,1),badwin(istat,iwin,2),4);
                end
                fprintf(fid,'%20d',t0skip(istat));
                fclose(fid);
            end
        end
        set(findobj('Tag','Messages'),...
            'String','BAD-DATA MODE OFF',...
            'ForegroundColor',[0 0 0]);
        clear global badwin;
    end
end
